Bug 496636 - "GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL"
"GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararra...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 09:33 EDT by Jonathan Kamens
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 23:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-04-20 09:33:37 EDT
With current Rawhide, I get four copies of this syslog message every time I log in:

Apr 20 07:12:59 jik2 console-kit-daemon[2079]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 20 07:12:59 jik2 console-kit-daemon[2079]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 20 07:12:59 jik2 console-kit-daemon[2079]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Apr 20 07:12:59 jik2 console-kit-daemon[2079]: GLib-GObject-WARNING: IA__g_object_get_valist: value location for `gchararray' passed as NULL
Comment 1 Matthias Clasen 2009-04-20 23:58:53 EDT
This might fix it, I think

diff -up ConsoleKit-0.3.0/src/ck-manager.c.null-warning ConsoleKit-0.3.0/src/ck-manager.c
--- ConsoleKit-0.3.0/src/ck-manager.c.null-warning	2009-04-20 23:55:53.248884043 -0400
+++ ConsoleKit-0.3.0/src/ck-manager.c	2009-04-20 23:56:27.736126951 -0400
@@ -1213,7 +1213,7 @@ session_is_real_user (CkSession *session
 
         g_object_get (session,
                       "unix-user", &uid,
-                      "session-type", session_type,
+                      "session-type", &session_type,
                       NULL);
 
         username = get_user_name (uid);
Comment 2 Matthias Clasen 2009-04-21 01:02:14 EDT
Built in ConsoleKit-0.3.0-8.fc11
Comment 3 Bug Zapper 2009-06-09 10:12:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.